summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heiko Rosemann2013-12-29 02:50:58 +0100
committer Erik Hanson2014-01-07 18:13:58 +0100
commit7070172b7cd794da1e46f405e04a79f5d875bf64 (patch)
tree7dd885e83a654f75c637badcaa620f9ff291b4d5
parent568c37b4779bbbd547e136f5b7fe796b7e6fe917 (diff)
downloadslackbuilds-7070172b7cd794da1e46f405e04a79f5d875bf64.tar.gz
libraries/gwenhywfar: Added (multi-purpose library for aqbanking).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/gwenhywfar/README9
-rw-r--r--libraries/gwenhywfar/gwenhywfar.SlackBuild101
-rw-r--r--libraries/gwenhywfar/gwenhywfar.info10
-rw-r--r--libraries/gwenhywfar/slack-desc20
4 files changed, 140 insertions, 0 deletions
diff --git a/libraries/gwenhywfar/README b/libraries/gwenhywfar/README
new file mode 100644
index 0000000000..1c67bb94c0
--- /dev/null
+++ b/libraries/gwenhywfar/README
@@ -0,0 +1,9 @@
+gwenhywfar (multi-purpose library for aqbanking)
+
+Gwenhywfar is a multi-purpose library that provides useful functions
+such as configuration file handling, a full featured message
+generation and parsing engine, and an operating system abstraction
+layer.
+
+It is used by Libchipcard, AqBanking, QBankManager, OpenHBCI, AqMoney,
+and various other projects.
diff --git a/libraries/gwenhywfar/gwenhywfar.SlackBuild b/libraries/gwenhywfar/gwenhywfar.SlackBuild
new file mode 100644
index 0000000000..9913448687
--- /dev/null
+++ b/libraries/gwenhywfar/gwenhywfar.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for gwenhywfar
+
+# Copyright 2013 Heiko Rosemann Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gwenhywfar
+VERSION=${VERSION:-4.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-qt4-includes=/usr/lib${LIBDIRSUFFIX}/qt/include/ \
+ --with-qt4-libs=/usr/lib${LIBDIRSUFFIX}/qt/lib \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README RELEASES TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gwenhywfar/gwenhywfar.info b/libraries/gwenhywfar/gwenhywfar.info
new file mode 100644
index 0000000000..6169b21438
--- /dev/null
+++ b/libraries/gwenhywfar/gwenhywfar.info
@@ -0,0 +1,10 @@
+PRGNAM="gwenhywfar"
+VERSION="4.3.3"
+HOMEPAGE="http://www.aquamaniac.de/sites/download/packages.php?package=01&showall=1"
+DOWNLOAD="http://files.slackware-id.org/gwenhywfar-4.3.3.tar.gz"
+MD5SUM="c5b9d52a25960f84f9264a5a5dd484d1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README%"
+MAINTAINER="Heiko Rosemann"
+EMAIL="heiko.rosemann@web.de"
diff --git a/libraries/gwenhywfar/slack-desc b/libraries/gwenhywfar/slack-desc
new file mode 100644
index 0000000000..cc45f3e195
--- /dev/null
+++ b/libraries/gwenhywfar/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gwenhywfar: gwenhywfar (multi-purpose library for aqbanking)
+gwenhywfar:
+gwenhywfar: Gwenhywfar is a multi-purpose library that provides useful functions
+gwenhywfar: such as configuration file handling, a full featured message
+gwenhywfar: generation and parsing engine, and an operating system abstraction
+gwenhywfar: layer.
+gwenhywfar:
+gwenhywfar: It is used by Libchipcard, AqBanking, QBankManager, OpenHBCI, AqMoney,
+gwenhywfar: and various other projects.
+gwenhywfar:
+gwenhywfar:
+gwenhywfar: